Loading...
Searching...
No Matches
cm108.c File Reference
Rig (transceiver) Internal API

CM108 GPIO support. More...

`#include "hamlib/rig.h"`
`#include "hamlib/config.h"`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include "cm108.h"`
Include dependency graph for cm108.c:

## Functions

const char * | get_usb_device_class_string (int device_class)
int | cm108_open (hamlib_port_t *port)
| Open CM108 HID port (/dev/hidrawX).
int | cm108_close (hamlib_port_t *port)
| Close a CM108 HID port.
int | cm108_ptt_set (hamlib_port_t *p, ptt_t pttx)
| Set or unset the Push To Talk bit on a CM108 GPIO.
int | cm108_ptt_get (hamlib_port_t *p, ptt_t *pttx)
| Get the state of Push To Talk from a CM108 GPIO.
int | cm108_set_bit (hamlib_port_t *p, enum GPIO gpio, int bit)
int | cm108_get_bit (hamlib_port_t *p, enum GPIO gpio, int *bit)
int | rig_cm108_get_bit (hamlib_port_t *p, enum GPIO gpio, int *bit)
int | rig_cm108_set_bit (hamlib_port_t *p, enum GPIO gpio, int bit)

## Detailed Description

CM108 GPIO support.

CM108 Audio chips found on many USB audio interfaces have controllable General Purpose Input/Output pins.